petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscPartitionerShellGetRandom

get the flag to use a random partition

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerShellGetRandom(PetscPartitioner part, PetscBool *random)

Collective on part

### Input Parameter

part -The PetscPartitioner

Output Parameter

random -The flag to use a random partition

### See Also

PetscPartitionerShellSetRandom(), PetscPartitionerCreate()

### Level

intermediate

### Location

src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages